%define libname %mklibname %{name}
%define libnamedev %mklibname %{name} -d

Summary: 	Kmymoney2 The Personal Finances Manager for kde3 
Name:   	kmymoney2
Version: 	0.8.2
Release: 	1.2006mcnl
Source0: 	%{name}-%{version}.tar.bz2
Url:		http://kmymoney2.sourceforge.net/
License:  	GPL
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Vendor:		Mandrivaclub.nl
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel
BuildRequires:	jpeg-devel mng-devel png-devel qt3-devel
Requires:	libkmymoney2
Patch1:		kmymoney-0.8.2-disable-visibility.patch.bz2


%description
The Personal Finances Manager for KDE 3.

%package -n	%libname
Summary:	Kmymoney2 libraries
Group:		System/Libraries		

%description -n	%libname
Library files for %{name}

%package -n	%libnamedev
Summary:	Kmymoney2 development files
Group:		System/Libraries
Provides:	libkmymoney-devel

%description -n	%libnamedev
Development files for %{name}

%prep

%setup  -q -n %{name}-%{version}
%patch1 -p1 -b .disable_visibility

%build


export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }



CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3\
		    --with-xinerama \
		    --disable-rpath \
			--enable-kbanking \
			--enable-ofxplugin \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif			
			--enable-ofxbanking \
		    --disable-debug 

#necessary to remove old files
make clean

%install
make install prefix=%buildroot/%_prefix

#menu

install -d %buildroot/%_menudir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_miconsdir

kdedesktop2mdkmenu.pl kmymoney2 "More Applications/Finances" %buildroot/%_datadir/applications/kde/kmymoney2.desktop %buildroot/%_menudir/kmymoney2
#ln -s %_datadir/icons/hicolor/32x32/apps/kmymoney2.png %buildroot/%_iconsdir
#ln -s %_datadir/icons/hicolor/16x16/apps/kmymoney2.png %buildroot/%_miconsdir

#icons
%define  nameicon %{name}/hi16-app-%{name}.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/kmymoney/*
%{_libdir}/*.la
%{_libdir}/*.so

%files -f %name.lang 
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/kmymoney2/*

%{_bindir}/*
%{_datadir}/apps/%{name}/*.rc
%{_datadir}/apps/%{name}/pics/*
%{_datadir}/apps/%{name}/tips
%{_datadir}/apps/%{name}/html/*
%{_datadir}/apps/%{name}/icons/hicolor/*
%{_datadir}/apps/%{name}/templates/*
%{_datadir}/servicetypes/*.desktop
%{_datadir}/applications/kde/%{name}.desktop
%{_menudir}/%{name}
%{_iconsdir}/hicolor/*
%{_iconsdir}/locolor/*
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
/usr/man/man1/%{name}.1.bz2



%changelog
* Sun Jan 22 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.8.2-1.2006mcnl
-0.8.2

* Sat Aug 13 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.8-1.102mcnl
- 0.8

* Wed Jun 01 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.7.2-1.102mcnl
- 0.7.2
- fixed spec file: rpmlint

* Sat May 21 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.7.1-1.102mcnl
- 0.7.1

* Sun May 15 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.7.0-1.102mcnl
- 0.7.0
- cleaned spec file

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-1mdk
- 06.4

* Mon Nov 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- kde2 -> kde3 thanks (Eskild Hustvedt <eskild@mandrakehelp.com>)
- clean spec file

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- New version

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Rebuild with new menu translation table

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-4mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-3mdk
- Rebuild
- Add patch1: fix compile

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-2mdk
- Rebuild

* Mon Feb 03 2003 Laurent Culioli <laurent@pschit.net> 0.5.1-1mdk
- kmymoney is back \o/
- 0.5.1

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-1mdk
- 0.4

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-0.pre2.1mdk
- update code (0.4pre2)

* Sun Jan 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-0.pre1.1mdk
- Update code (0.4pre1)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-3mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-2mdk
- Rebuild

* Fri Aug 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.7-1mdk
- Update code

* Tue Aug 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.6-2mdk
- Fix menu entry

* Sat Jul 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.6-1mdk
- Update code (0.3.6)

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.5-1mdk
- Update code (0.3.5)

* Thu Jun 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.4-1mdk
- Update code

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.3-1mdk
- initial package 0.3.3

